> ## Documentation Index
> Fetch the complete documentation index at: https://docs.moonbase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Activities

> Returns a list of activities.



## OpenAPI

````yaml GET /activities
openapi: 3.1.0
info:
  title: Moonbase REST API
  version: v0
servers:
  - url: https://api.moonbase.ai/v0
security:
  - bearer: []
tags:
  - name: Inboxes
    description: Manage your inboxes, conversations, and messages
  - name: Collections
    description: Manage your collections and items
  - name: Marketing
    description: Manage your marketing campaigns and forms
  - name: Activities
    description: View activities and capture calls
  - name: Library
    description: Manage your meetings, files, and notes
paths:
  /activities:
    get:
      tags:
        - Activities
      summary: List activities
      description: Returns a list of activities.
      parameters:
        - name: before
          in: query
          required: false
          schema:
            type: string
          description: >-
            When specified, returns results starting immediately before the item
            identified by this cursor. Use the cursor value from the response's
            metadata to fetch the previous page of results.
          explode: true
        - name: after
          in: query
          required: false
          schema:
            type: string
          description: >-
            When specified, returns results starting immediately after the item
            identified by this cursor. Use the cursor value from the previous
            response's metadata to fetch the next page of results.
          explode: true
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
          description: >-
            Maximum number of items to return per page. Must be between 1 and
            100. Defaults to 20 if not specified.
          explode: true
        - name: type
          in: query
          required: false
          schema:
            type: object
            properties:
              eq:
                type: string
                enum:
                  - activity/call_occurred
                  - activity/form_submitted
                  - activity/inbox_message_sent
                  - activity/item_created
                  - activity/item_mentioned
                  - activity/item_merged
                  - activity/file_created
                  - activity/meeting_held
                  - activity/meeting_scheduled
                  - activity/note_created
                  - activity/program_message_bounced
                  - activity/program_message_clicked
                  - activity/program_message_complained
                  - activity/program_message_failed
                  - activity/program_message_opened
                  - activity/program_message_sent
                  - activity/program_message_shielded
                  - activity/program_message_unsubscribed
          description: Filter activities by type.
          explode: true
          style: deepObject
        - name: occurred_at
          in: query
          required: false
          schema:
            type: object
            properties:
              gte:
                type: string
                format: date-time
              lte:
                type: string
                format: date-time
          description: Filter activities by when they occurred.
          explode: true
          style: deepObject
        - name: constituent_entity_type
          in: query
          required: false
          schema:
            type: object
            properties:
              eq:
                $ref: '#/components/schemas/ConstituentEntityType'
          description: >-
            Filter activities by which entities were involved. Must be paired
            with constituent_entity_id.
          explode: true
          style: deepObject
        - name: constituent_entity_id
          in: query
          required: false
          schema:
            type: object
            properties:
              eq:
                type: string
          description: >-
            Filter activities by which entities were involved. Must be paired
            with constituent_entity_type.
          explode: true
          style: deepObject
        - name: constituent_relation
          in: query
          required: false
          schema:
            type: object
            properties:
              eq:
                type: string
                enum:
                  - actor
                  - object
                  - target
          description: >-
            Filter activities by which entities were involved via specific
            relations. Must be paired with constituent_entity_type and
            constituent_entity_id.
          explode: true
          style: deepObject
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                type: object
                description: A set of results using cursor-based pagination.
                properties:
                  type:
                    type: string
                    const: list
                  data:
                    type: array
                    description: An array of Activity items.
                    items:
                      $ref: '#/components/schemas/Activity'
                  meta:
                    type: object
                    description: >-
                      Metadata about the pagination, including the cursors
                      pointing to the previous and next pages.
                    properties:
                      cursors:
                        type: object
                        properties:
                          prev:
                            type: string
                            description: >-
                              Cursor for the previous page. This value should be
                              used with the `before` query parameter to fetch
                              the previous page of results.
                          next:
                            type: string
                            description: >-
                              Cursor for the next page. This value should be
                              used with the `after` query parameter to fetch the
                              next page of results.
                    required:
                      - cursors
                required:
                  - type
                  - data
                  - meta
              examples:
                List activities:
                  summary: List activities
                  value:
                    type: list
                    data:
                      - id: 1CLJt2vzeHVcmA4dfFWXVW
                        type: activity/program_message_unsubscribed
                        occurred_at: '2025-02-13T16:00:00.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2vDGEqKSFbLXN2t7X
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vpED5cb7XeUtBpav
                              type: program_template
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vpUbHEVq21BBGQhh
                              type: program
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vqU85i8gyRxMamAo
                              type: program_message
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vzPuHzrSaGxxRwNj
                              type: unsubscribe
                      - id: 1CLJt2vy9zHuJs8VVV2znr
                        type: activity/program_message_shielded
                        occurred_at: '2025-02-12T16:00:00.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2vDGEqKSFbLXN2t7X
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vpED5cb7XeUtBpav
                              type: program_template
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vpUbHEVq21BBGQhh
                              type: program
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vqU85i8gyRxMamAo
                              type: program_message
                      - id: 1CLJt2vwv5HomHgi21e4Cy
                        type: activity/program_message_failed
                        occurred_at: '2025-02-11T16:00:00.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2vDGEqKSFbLXN2t7X
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vpED5cb7XeUtBpav
                              type: program_template
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vpUbHEVq21BBGQhh
                              type: program
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vqU85i8gyRxMamAo
                              type: program_message
                      - id: 1CLJt2vvgAHiDiEvYYF7d6
                        type: activity/program_message_complained
                        occurred_at: '2025-02-10T16:00:00.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2vDGEqKSFbLXN2t7X
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vpED5cb7XeUtBpav
                              type: program_template
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vpUbHEVq21BBGQhh
                              type: program
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vqU85i8gyRxMamAo
                              type: program_message
                      - id: 1CLJt2vuSFHcg8o954rB3D
                        type: activity/program_message_bounced
                        occurred_at: '2025-02-09T16:00:00.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2vDGEqKSFbLXN2t7X
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vpED5cb7XeUtBpav
                              type: program_template
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vpUbHEVq21BBGQhh
                              type: program
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vqU85i8gyRxMamAo
                              type: program_message
                      - id: 1CLJt2vtCLHX8ZMMbbTETL
                        type: activity/program_message_clicked
                        occurred_at: '2025-02-08T16:00:00.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2vDGEqKSFbLXN2t7X
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vpED5cb7XeUtBpav
                              type: program_template
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vpUbHEVq21BBGQhh
                              type: program
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vqU85i8gyRxMamAo
                              type: program_message
                      - id: 1CLJt2vrxRHRayua884HsT
                        type: activity/program_message_opened
                        occurred_at: '2025-02-07T16:00:00.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2vDGEqKSFbLXN2t7X
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vpED5cb7XeUtBpav
                              type: program_template
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vpUbHEVq21BBGQhh
                              type: program
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vqU85i8gyRxMamAo
                              type: program_message
                      - id: 1CLJt2vqiWHL3QTneefMHa
                        type: activity/program_message_sent
                        occurred_at: '2025-02-06T16:00:00.000Z'
                        constituents:
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vpED5cb7XeUtBpav
                              type: program_template
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vpUbHEVq21BBGQhh
                              type: program
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vqU85i8gyRxMamAo
                              type: program_message
                          - type: constituent
                            relation: target
                            entity:
                              id: 1CLJt2vDGEqKSFbLXN2t7X
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                      - id: 1CLJt2vmFcgBgXfN9MEmBc
                        type: activity/call_occurred
                        occurred_at: '2025-02-04T15:00:00.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2vgnj53Kerwe3pB5e
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2vj2AscW6G9thXU8d
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vfoCGZgnuWrsVpcY
                              type: call
                      - id: 1CLJt2vkG5si3fhwNAvQiW
                        type: activity/item_created
                        occurred_at: '2025-02-04T15:59:55.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2v271pTY4bHG7UQrc
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vj2AscW6G9thXU8d
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: target
                            entity:
                              id: 1CLJt2ubZ7zAZFBxUxeBHo
                              type: collection
                              ref: people
                      - id: 1CLJt2vi2e58sEJj7XD7fX
                        type: activity/item_created
                        occurred_at: '2025-02-04T15:59:55.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2v271pTY4bHG7UQrc
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vgnj53Kerwe3pB5e
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: target
                            entity:
                              id: 1CLJt2ubZ7zAZFBxUxeBHo
                              type: collection
                              ref: people
                      - id: 1CLJt2veofU63vx65hBU9S
                        type: activity/note_created
                        occurred_at: '2025-02-03T16:00:00.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2v271pTY4bHG7UQrc
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2veZHGU9DTjPQ6t2f
                              type: note
                          - type: constituent
                            relation: target
                            entity:
                              id: 1CLJt2vDGEqKSFbLXN2t7X
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                      - id: 1CLJt2vc5TGH44aASTJzru
                        type: activity/inbox_message_sent
                        occurred_at: '2025-02-02T16:00:00.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2v7opRhSWqVEtHwYT
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vabA4Zbme2GgqUAF
                              type: message
                          - type: constituent
                            relation: target
                            entity:
                              id: 1CLJt2vDGEqKSFbLXN2t7X
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                      - id: 1CLJt2vWNef39cKxTgVUB4
                        type: activity/inbox_message_sent
                        occurred_at: '2025-02-01T16:00:00.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2vDGEqKSFbLXN2t7X
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vUtMTKhKPpHv1wUQ
                              type: message
                      - id: 1CLJt2vQfr3oFA5kUufwVD
                        type: activity/form_submitted
                        occurred_at: '2025-01-30T16:00:00.000Z'
                        constituents:
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vMSsSkRrj7T5eHy8
                              type: item
                              collection:
                                id: 1CLJt2vMhFeNLaDU9Nit5u
                                type: collection
                                ref: test_collection_103
                          - type: constituent
                            relation: target
                            entity:
                              id: 1CLJt2vMhFeNLaDU9Nit5u
                              type: collection
                              ref: test_collection_103
                      - id: 1CLJt2vPgKFKcJ8KhjMb27
                        type: activity/item_created
                        occurred_at: '2025-01-30T15:59:55.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2v271pTY4bHG7UQrc
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vMSsSkRrj7T5eHy8
                              type: item
                              collection:
                                id: 1CLJt2vMhFeNLaDU9Nit5u
                                type: collection
                                ref: test_collection_103
                          - type: constituent
                            relation: target
                            entity:
                              id: 1CLJt2vMhFeNLaDU9Nit5u
                              type: collection
                              ref: test_collection_103
                      - id: 1CLJt2vLTLeGnzmgfuKwW2
                        type: activity/item_merged
                        occurred_at: '2025-01-30T16:00:00.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2vDGEqKSFbLXN2t7X
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: target
                            entity:
                              id: 1CLJt2vFk4qWXQUuUJpmHH
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                      - id: 1CLJt2vGyyqc4yvgwnDhsA
                        type: activity/item_created
                        occurred_at: '2025-01-30T15:59:55.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2v271pTY4bHG7UQrc
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vFk4qWXQUuUJpmHH
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: target
                            entity:
                              id: 1CLJt2ubZ7zAZFBxUxeBHo
                              type: collection
                              ref: people
                      - id: 1CLJt2vEW9qQyq37zqRphQ
                        type: activity/item_created
                        occurred_at: '2025-01-30T15:59:55.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2v271pTY4bHG7UQrc
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vDGEqKSFbLXN2t7X
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: target
                            entity:
                              id: 1CLJt2ubZ7zAZFBxUxeBHo
                              type: collection
                              ref: people
                      - id: 1CLJt2vCGi2qoPdukBiXeR
                        type: activity/item_created
                        occurred_at: '2025-01-29T15:59:55.000Z'
                        constituents:
                          - type: constituent
                            relation: actor
                            entity:
                              id: 1CLJt2v271pTY4bHG7UQrc
                              type: item
                              collection:
                                id: 1CLJt2ubZ7zAZFBxUxeBHo
                                type: collection
                                ref: people
                          - type: constituent
                            relation: object
                            entity:
                              id: 1CLJt2vA3GEGcxEhVY1EbS
                              type: item
                              collection:
                                id: 1CLJt2vAHeRtXfj4Bq5piD
                                type: collection
                                ref: test_collection_102
                          - type: constituent
                            relation: target
                            entity:
                              id: 1CLJt2vAHeRtXfj4Bq5piD
                              type: collection
                              ref: test_collection_102
                    meta:
                      cursors:
                        next: >-
                          eyJpZCI6IjFDTEp0MnZDR2kycW9QZHVrQmlYZVIiLCJkaXJlY3Rpb24iOiJmb3J3YXJkIn0
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              examples:
                Default:
                  summary: Default
                  value:
                    type: errors
                    errors:
                      - type: error
                        status: '400'
                        title: Bad Request
                        detail: >-
                          The request could not be understood due to malformed
                          syntax or invalid parameters.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              examples:
                Default:
                  summary: Default
                  value:
                    type: errors
                    errors:
                      - type: error
                        status: '401'
                        title: Unauthorized
                        detail: >-
                          Invalid or missing API key or JWT. You should provide
                          your Moonbase API Key or JWT in the authorization
                          header, in the format: "Authorization: Bearer
                          MOONBASE_API_KEY"
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              examples:
                Default:
                  summary: Default
                  value:
                    type: errors
                    errors:
                      - type: error
                        status: '403'
                        title: Forbidden
        '422':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              examples:
                Invalid constituent entity filter:
                  summary: Invalid constituent entity filter
                  value:
                    type: errors
                    errors:
                      - type: error
                        status: '422'
                        title: Unprocessable Entity
                        detail: >-
                          constituent_entity_type must be specified when
                          specifying constituent_entity_id
                        source:
                          parameter: constituent_entity_id[eq]
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              examples:
                Default:
                  summary: Default
                  value:
                    type: errors
                    errors:
                      - type: error
                        status: '429'
                        title: Too Many Requests
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              examples:
                Default:
                  summary: Default
                  value:
                    type: errors
                    errors:
                      - type: error
                        status: '500'
                        title: Internal Server Error
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              examples:
                Default:
                  summary: Default
                  value:
                    type: errors
                    errors:
                      - type: error
                        status: '503'
                        title: Service Unavailable
                        detail: >-
                          The service is temporarily unavailable, please try
                          again later.
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Moonbase from '@moonbaseai/sdk';

            const client = new Moonbase({
              apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted
            });

            // Automatically fetches more pages as needed.
            for await (const activity of client.activities.list()) {
              console.log(activity.id);
            }
        - lang: Python
          source: |-
            import os
            from moonbase import Moonbase

            client = Moonbase(
                api_key=os.environ.get("MOONBASE_API_KEY"),  # This is the default and can be omitted
            )
            page = client.activities.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/moonbaseai/moonbase-sdk-go\"\n\t\"github.com/moonbaseai/moonbase-sdk-go/option\"\n)\n\nfunc main() {\n\tclient := moonbase.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Activities.List(context.TODO(), moonbase.ActivityListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Ruby
          source: |-
            require "moonbase"

            moonbase = Moonbase::Client.new(api_key: "My API Key")

            page = moonbase.activities.list

            puts(page)
components:
  schemas:
    ConstituentEntityType:
      description: The type of the entity involved as a constituent of the activity.
      type: string
      enum:
        - call
        - collection
        - file
        - item
        - meeting
        - message
        - note
        - program
        - program_message
        - program_template
        - unsubscribe
    Activity:
      title: Activity
      description: >-
        The Activity object represents a specific event that has occurred, such
        as a meeting being scheduled or a form being submitted.
      type: object
      properties:
        id:
          description: Unique identifier for the object.
          type: string
        type:
          description: The type of activity.
          type: string
          enum:
            - activity/call_occurred
            - activity/file_created
            - activity/form_submitted
            - activity/inbox_message_sent
            - activity/item_created
            - activity/item_mentioned
            - activity/item_merged
            - activity/meeting_held
            - activity/meeting_scheduled
            - activity/note_created
            - activity/program_message_bounced
            - activity/program_message_clicked
            - activity/program_message_complained
            - activity/program_message_failed
            - activity/program_message_opened
            - activity/program_message_sent
            - activity/program_message_shielded
            - activity/program_message_unsubscribed
        occurred_at:
          description: >-
            The time at which the event occurred, as an ISO 8601 timestamp in
            UTC.
          type: string
          format: date-time
        constituents:
          description: >-
            An array of entities involved along with each entity's relation to
            the activity.
          type: array
          items:
            $ref: '#/components/schemas/Constituent'
      required:
        - occurred_at
        - id
        - type
        - constituents
    Errors:
      title: Errors
      description: >-
        The Errors object is a container that holds multiple Error objects when
        an API request encounters several validation or processing issues. This
        allows the API to return comprehensive feedback about all problems
        encountered in a single response.
      type: object
      properties:
        type:
          type: string
          const: errors
        errors:
          description: A list of `Error` objects.
          type: array
          items:
            $ref: '#/components/schemas/Error'
      required:
        - type
    Constituent:
      title: Constituent
      description: >-
        The Constituent object represents information about something that was
        involved in a particular activity.
      type: object
      properties:
        type:
          type: string
          const: constituent
        relation:
          type: string
          enum:
            - actor
            - object
            - target
        entity:
          $ref: '#/components/schemas/ConstituentEntityPointer'
      required:
        - entity
        - type
        - relation
    Error:
      title: Error
      description: >-
        The Error object represents a single error that occurred during API
        request processing. It provides detailed information about what went
        wrong, including a unique identifier, status code, and human-readable
        descriptions to help developers understand and resolve the issue.
      type: object
      properties:
        type:
          type: string
          const: error
        id:
          description: A unique identifier for this specific error instance.
          type: string
        status:
          description: The HTTP status code for this problem, as a string.
          type: string
        code:
          description: An application-specific error code string.
          type: string
        title:
          description: A short, human-readable summary of the problem.
          type: string
        detail:
          description: A human-readable explanation of this specific error.
          type: string
        source:
          $ref: '#/components/schemas/ErrorSource'
          description: >-
            An object containing more specific information about the part of the
            request that caused the error.
        meta:
          type: object
          additionalProperties: true
      required:
        - type
    ConstituentEntityPointer:
      title: ConstituentEntityPointer
      description: >-
        A lightweight reference to the entity of `Constituent`, containing
        information about what type of entity it is as well as the entity's id.
      oneOf:
        - $ref: '#/components/schemas/CallPointer'
        - $ref: '#/components/schemas/CollectionPointer'
        - $ref: '#/components/schemas/ItemPointer'
        - $ref: '#/components/schemas/FilePointer'
        - $ref: '#/components/schemas/MeetingPointer'
        - $ref: '#/components/schemas/MessagePointer'
        - $ref: '#/components/schemas/NotePointer'
        - $ref: '#/components/schemas/ProgramPointer'
        - $ref: '#/components/schemas/ProgramMessagePointer'
        - $ref: '#/components/schemas/ProgramTemplatePointer'
        - $ref: '#/components/schemas/UnsubscribePointer'
      discriminator:
        propertyName: type
        mapping:
          call:
            $ref: '#/components/schemas/CallPointer'
          collection:
            $ref: '#/components/schemas/CollectionPointer'
          item:
            $ref: '#/components/schemas/ItemPointer'
          file:
            $ref: '#/components/schemas/FilePointer'
          meeting:
            $ref: '#/components/schemas/MeetingPointer'
          message:
            $ref: '#/components/schemas/MessagePointer'
          note:
            $ref: '#/components/schemas/NotePointer'
          program:
            $ref: '#/components/schemas/ProgramPointer'
          program_message:
            $ref: '#/components/schemas/ProgramMessagePointer'
          program_template:
            $ref: '#/components/schemas/ProgramTemplatePointer'
          unsubscribe:
            $ref: '#/components/schemas/UnsubscribePointer'
    ErrorSource:
      title: ErrorSource
      description: >-
        The ErrorSource object provides additional context about the specific
        part of an API request that caused an error. It can point to either a
        field in the request document or a query parameter that contains invalid
        data.
      type: object
      properties:
        pointer:
          description: >-
            A JSON Pointer [RFC6901] to the associated entity in the request
            document.
          type: string
        parameter:
          description: A string indicating which URI query parameter caused the error.
          type: string
      required: []
    CallPointer:
      title: CallPointer
      type: object
      properties:
        type:
          type: string
          const: call
        id:
          type: string
      required:
        - type
        - id
    CollectionPointer:
      title: CollectionPointer
      description: >-
        A lightweight reference to a `Collection`, containing the minimal
        information needed to identify it.
      type: object
      properties:
        type:
          description: >-
            String representing the object’s type. Always `collection` for this
            object.
          type: string
          const: collection
        id:
          description: Unique identifier of the collection.
          type: string
        ref:
          description: The stable, machine-readable reference identifier of the collection.
          type: string
      required:
        - type
        - id
        - ref
    ItemPointer:
      title: ItemPointer
      description: >-
        A reference to an `Item` within a specific `Collection`, providing the
        context needed to locate the item.
      type: object
      properties:
        type:
          description: >-
            String representing the object’s type. Always `item` for this
            object.
          type: string
          const: item
        id:
          description: Unique identifier of the item.
          type: string
        collection:
          $ref: '#/components/schemas/CollectionPointer'
          description: A reference to the `Collection` containing this item.
      required:
        - collection
        - type
        - id
    FilePointer:
      title: FilePointer
      type: object
      properties:
        type:
          type: string
          const: file
        id:
          type: string
      required:
        - type
        - id
    MeetingPointer:
      title: MeetingPointer
      type: object
      properties:
        type:
          type: string
          const: meeting
        id:
          type: string
      required:
        - type
        - id
    MessagePointer:
      title: MessagePointer
      type: object
      properties:
        type:
          type: string
          const: message
        id:
          type: string
      required:
        - type
        - id
    NotePointer:
      title: NotePointer
      type: object
      properties:
        type:
          type: string
          const: note
        id:
          type: string
      required:
        - type
        - id
    ProgramPointer:
      title: ProgramPointer
      type: object
      properties:
        type:
          type: string
          const: program
        id:
          type: string
      required:
        - type
        - id
    ProgramMessagePointer:
      title: ProgramMessagePointer
      type: object
      properties:
        type:
          type: string
          const: program_message
        id:
          type: string
      required:
        - type
        - id
    ProgramTemplatePointer:
      title: ProgramTemplatePointer
      type: object
      properties:
        type:
          type: string
          const: program_template
        id:
          type: string
      required:
        - type
        - id
    UnsubscribePointer:
      title: UnsubscribePointer
      type: object
      properties:
        type:
          type: string
          const: unsubscribe
        id:
          type: string
      required:
        - type
        - id
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: Your Moonbase API key.

````